# 0.16.0 now requires libgirepository-2.0, but I have no idea where to get it.
# This SPEC file can be moved back to the parent directory when it's available.

# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif

Name:           blueprint-compiler
Version:        0.16.0
Release:        %mkrel 1.1
Summary:        A markup language for GTK user interfaces

License:        LGPL-3.0-or-later
URL:            https://gitlab.gnome.org/jwestman/blueprint-compiler
Source0:        https://gitlab.gnome.org/jwestman/blueprint-compiler/-/archive/v%{version}/blueprint-compiler-v%{version}.tar.bz2
# 0.16.0 added support for girepository3 (GLib 2.80+) with girepository2 as a
# backup, but the generated RPM claims to need girepository3.
# Let's not break Mageia 9 support yet (until support for girepository2 and
# pygobject < 2.52 are removed).
Patch0:         blueprint-compiler-dont-require-gir3.diff

BuildArch:      noarch

%global min_glib_version 2.0
%global min_pyobject_version 3.40

BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(glib-2.0) >= %min_glib_version
BuildRequires:  pkgconfig(pygobject-3.0) >= %min_pyobject_version

Requires:       pkgconfig(pygobject-3.0) >= %min_pyobject_version

%description
GtkBuilder XML format is quite verbose, and many app developers don't like
using WYSIWYG editors for creating UIs. Blueprint files are intended to be a
concise, easy-to-read format that makes it easier to create and edit GTK UIs.
Internally, it compiles to GtkBuilder XML as part of an app's build system. It
adds no new features, just makes the features that exist more accessible.
Another goal is to have excellent developer tooling--including a language
server--so that less knowledge of the format is required. Hopefully this will
increase adoption of cool advanced features like GtkExpression.


%prep
%autosetup -p1 -n %{name}-v%{version}


%build
%meson
%meson_build


%install
%meson_install


# Tests fail in mock, but pass otherwise. For some reason, no log is available
# to debug the issue when it fails.
#check
#meson_test


%files
%license COPYING
%doc README.md docs/*.rst
%{_bindir}/%{name}
%{python3_sitelib}/blueprintcompiler
%{_datadir}/pkgconfig/%{name}.pc


%changelog
%changelog
* Fri Oct 20 2023 %packager 0.10.0-0.1
+ Import to mageia

* Thu Sep 14 2023 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.10.0-1
- Updating to 0.10.0 (rhbz#2148671, rhbz#2169892)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.6.0-3
- Rebuilt for Python 3.12

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Nov 27 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.6.0-1
- Updating to 0.6.0

* Tue Sep 13 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.4.0-1
- Updating to 0.4.0

* Mon Aug 22 2022 Lyes Saadi <lyessaadi@fedoraproject.org> - 0.2.0-1
- Initial import
